import { RouteReuseStrategy, DetachedRouteHandle, ActivatedRouteSnapshot } from '@angular/router';
export declare class HiRouterReuseStrategy implements RouteReuseStrategy {
    handlers: {
        [key: string]: DetachedRouteHandle;
    };
    isReusable: (route: ActivatedRouteSnapshot) => boolean;
    getReusableKey: (route: ActivatedRouteSnapshot) => string;
    shouldDetach(route: ActivatedRouteSnapshot): boolean;
    store(route: ActivatedRouteSnapshot, handle: DetachedRouteHandle): void;
    shouldAttach(route: ActivatedRouteSnapshot): boolean;
    retrieve(route: ActivatedRouteSnapshot): DetachedRouteHandle;
    shouldReuseRoute(future: ActivatedRouteSnapshot, curr: ActivatedRouteSnapshot): boolean;
}
