import { ChangeDetectorRef, Renderer2 } from '@angular/core';
import { FileUpload } from '../file-upload/file-upload';
import { HiNGConfig } from '../hi.config';
import { HttpClient } from '@angular/common/http';
import { ModalService } from '../modal';
import { SelectFileModel } from '../file-upload/file-upload.model';
import { Observable } from 'rxjs/Observable';
export declare class ImageUploadComponent extends FileUpload {
    private modalService;
    viewIcon: string;
    constructor(hiNGConfig: HiNGConfig, renderer: Renderer2, http: HttpClient, changeDetectorRef: ChangeDetectorRef, modalService: ModalService);
    viewImage(fileItem: SelectFileModel): void;
    uploadBtnIcon(): string;
    protected onFileUploadError(fileItem: any, error: any): Observable<any>;
}
