import { ComponentRef, ViewContainerRef, Injector, OnDestroy, EventEmitter, ComponentFactoryResolver } from '@angular/core';
import { ModalOptions } from './modal-options.model';
import { Modal } from './modal.model';
export declare class ModalContentComponent implements OnDestroy {
    private modalContentContainer;
    private injector;
    private componentFactoryResolver;
    modalContentRef: ComponentRef<Modal>;
    constructor(modalContentContainer: ViewContainerRef, injector: Injector, componentFactoryResolver: ComponentFactoryResolver);
    addContent<T>(options: ModalOptions, dismiss: EventEmitter<any>): void;
    ngOnDestroy(): void;
    private handleResolve(options, instance);
}
