import { ComponentFactoryResolver, Injector } from '@angular/core';
import { HiNGConfig } from '../hi.config';
import { OverlayOptions } from './overlay-options.model';
import { DomSanitizer } from '@angular/platform-browser';
export declare class OverlayService {
    private hiNGConfig;
    private componentFactoryResolver;
    private injector;
    private domSanitizer;
    private overlayRef;
    private overlayCount;
    constructor(hiNGConfig: HiNGConfig, componentFactoryResolver: ComponentFactoryResolver, injector: Injector, domSanitizer: DomSanitizer);
    open(options: OverlayOptions): void;
    private createOverlay(options);
    close(): void;
}
