import { Component, ContentChildren, Input, QueryList, TemplateRef } from '@angular/core';
import { OptionComponent } from './option.component';
var OptionGroupComponent = /** @class */ (function () {
    function OptionGroupComponent() {
    }
    Object.defineProperty(OptionGroupComponent.prototype, "hiLabel", {
        get: function () {
            return this._label;
        },
        set: function (value) {
            this.isLabelString = !(value instanceof TemplateRef);
            this._label = value;
        },
        enumerable: true,
        configurable: true
    });
    OptionGroupComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-option-group',
                    template: "\n    <ng-content></ng-content>"
                },] },
    ];
    /** @nocollapse */
    OptionGroupComponent.propDecorators = {
        "listOfHiOptionComponent": [{ type: ContentChildren, args: [OptionComponent,] },],
        "hiLabel": [{ type: Input },],
    };
    return OptionGroupComponent;
}());
export { OptionGroupComponent };
