import { AfterViewInit, ComponentFactoryResolver, ElementRef, Renderer2, ViewContainerRef } from '@angular/core';
import { TooltipComponent } from './tooltip.component';
export declare class TooltipDirective implements AfterViewInit {
    elementRef: ElementRef;
    private hostView;
    private resolver;
    private renderer;
    hiTitle: string;
    isTooltipOpen: any;
    private tooltip;
    private isDynamicTooltip;
    private delayTimer;
    constructor(elementRef: ElementRef, hostView: ViewContainerRef, resolver: ComponentFactoryResolver, renderer: Renderer2, tooltip: TooltipComponent);
    ngAfterViewInit(): void;
    private show();
    private hide();
    private delayEnterLeave(isOrigin, isEnter, delay?);
}
