import { AbstractControl, ValidationErrors, Validator } from '@angular/forms';
export declare class RequiredWithTrimDirective implements Validator {
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class RangeLengthDirective implements Validator {
    hiRangeLength: number[];
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class MinDirective implements Validator {
    hiMin: number;
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class MaxDirective implements Validator {
    hiMax: number;
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class RangeDirective implements Validator {
    hiRange: number[];
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class DigitsDirective implements Validator {
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class NumberDirective implements Validator {
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class UrlDirective implements Validator {
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class EmailDirective implements Validator {
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class DateDirective implements Validator {
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class DateISODirective implements Validator {
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class JsonDirective implements Validator {
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class Base64Directive implements Validator {
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class PhoneDirective implements Validator {
    private locale;
    hiPhone: string;
    constructor(locale: string);
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class UUIDDirective implements Validator {
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class EqualDirective implements Validator {
    hiEqual: any;
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class IncludesDirective implements Validator {
    hiIncludes: any[];
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class EqualToDirective implements Validator {
    private validatorFn;
    hiEqualTo: AbstractControl | string;
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class BeforeDateDirective implements Validator {
    private validatorFn;
    hiBeforeDate: string | Date | number;
    validate(control: AbstractControl): ValidationErrors | any;
}
export declare class AfterDateDirective implements Validator {
    private validatorFn;
    hiAfterDate: string | Date | number;
    validate(control: AbstractControl): ValidationErrors | any;
}
