import { NgModule } from '@angular/core';
import { RequiredWithTrimDirective, Base64Directive, DateDirective, DateISODirective, DigitsDirective, EmailDirective, EqualDirective, EqualToDirective, IncludesDirective, JsonDirective, MaxDirective, MinDirective, NumberDirective, PhoneDirective, RangeDirective, RangeLengthDirective, UrlDirective, UUIDDirective, BeforeDateDirective, AfterDateDirective } from './validators.directive';
import { CommonModule } from '@angular/common';
var HiValidatorsModule = /** @class */ (function () {
    function HiValidatorsModule() {
    }
    HiValidatorsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        RequiredWithTrimDirective,
                        RangeLengthDirective,
                        MinDirective,
                        RangeDirective,
                        MaxDirective,
                        DigitsDirective,
                        NumberDirective,
                        UrlDirective,
                        EmailDirective,
                        DateDirective,
                        DateISODirective,
                        JsonDirective,
                        Base64Directive,
                        PhoneDirective,
                        UUIDDirective,
                        EqualDirective,
                        IncludesDirective,
                        EqualToDirective,
                        BeforeDateDirective,
                        AfterDateDirective
                    ],
                    declarations: [
                        RequiredWithTrimDirective,
                        RangeLengthDirective,
                        MinDirective,
                        RangeDirective,
                        MaxDirective,
                        DigitsDirective,
                        NumberDirective,
                        UrlDirective,
                        EmailDirective,
                        DateDirective,
                        DateISODirective,
                        JsonDirective,
                        Base64Directive,
                        PhoneDirective,
                        UUIDDirective,
                        EqualDirective,
                        IncludesDirective,
                        EqualToDirective,
                        BeforeDateDirective,
                        AfterDateDirective
                    ]
                },] },
    ];
    return HiValidatorsModule;
}());
export { HiValidatorsModule };
