import { Component, Input } from '@angular/core';
var AccordionComponent = /** @class */ (function () {
    function AccordionComponent() {
        this.groups = [];
    }
    AccordionComponent.prototype.closeOtherPanels = function (openGroup) {
        if (!this.closeOthers) {
            return;
        }
        this.groups.forEach(function (group) {
            if (group !== openGroup) {
                group.isOpen = false;
            }
        });
    };
    AccordionComponent.prototype.addGroup = function (group) {
        this.groups.push(group);
    };
    AccordionComponent.prototype.removeGroup = function (group) {
        var index = this.groups.indexOf(group);
        if (index !== -1) {
            this.groups.splice(index, 1);
        }
    };
    AccordionComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-accordion',
                    template: '<ng-content></ng-content>',
                    exportAs: 'accordion'
                },] },
    ];
    /** @nocollapse */
    AccordionComponent.propDecorators = {
        "closeOthers": [{ type: Input },],
    };
    return AccordionComponent;
}());
export { AccordionComponent };
