import { Directive, Input, ElementRef } from '@angular/core';
var AutoFocusDirective = /** @class */ (function () {
    function AutoFocusDirective(elementRef) {
        this.elementRef = elementRef;
    }
    AutoFocusDirective.prototype.ngAfterViewInit = function () {
        if (this.autoFocus && this.elementRef.nativeElement.focus) {
            this.elementRef.nativeElement.focus();
        }
    };
    AutoFocusDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[hiAutoFocus]',
                },] },
    ];
    /** @nocollapse */
    AutoFocusDirective.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    AutoFocusDirective.propDecorators = {
        "autoFocus": [{ type: Input, args: ['hiAutoFocus',] },],
    };
    return AutoFocusDirective;
}());
export { AutoFocusDirective };
