import { OnChanges, SimpleChange, OnInit } from '@angular/core';
import { DataTable } from './data-table.directive';
export declare class BootstrapPaginator implements OnChanges {
    rowsOnPageSet: any[];
    table: DataTable;
    minRowsOnPage: number;
    ngOnChanges(changes: any): any;
}
export declare class Paginator implements OnChanges {
    private injectMfTable;
    inputMfTable: DataTable;
    private table;
    activePage: number;
    rowsOnPage: number;
    dataLength: number;
    lastPage: number;
    constructor(injectMfTable: DataTable);
    ngOnChanges(changes: {
        [key: string]: SimpleChange;
    }): any;
    setPage(pageNumber: number): void;
    setRowsOnPage(rowsOnPage: number): void;
    private onPageChangeSubscriber;
}
export declare class DataSort implements OnInit {
    private table;
    sortBy: string;
    isSortedByMeAsc: boolean;
    isSortedByMeDesc: boolean;
    constructor(table: DataTable);
    ngOnInit(): void;
    sort(): void;
}
