import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { HiNGConfig } from '../hi.config';
export declare class PagerComponent implements OnChanges {
    private hiNGConfig;
    static EFFECT_PAGE_RANGE_KEYS: string[];
    total: number;
    pageSize: number;
    pageIndex: number;
    pageIndexChange: EventEmitter<number>;
    aligned: boolean;
    previousText: string;
    nextText: string;
    disable: boolean;
    cssClass: string;
    totalPage: number;
    constructor(hiNGConfig: HiNGConfig);
    prev(): void;
    next(): void;
    onPageIndexChange(pageIndex: number): void;
    hasPrev(): boolean;
    hasNext(): boolean;
    private getTotalPage();
    ngOnChanges(changes: SimpleChanges): void;
}
