import { ControlValueAccessor } from '@angular/forms';
import { HiNGConfig } from '../hi.config';
export declare class TagsComponent implements ControlValueAccessor {
    private rebirthNGConfig;
    cssClass: string;
    newTagText: string;
    plusIcon: string;
    removeIcon: string;
    maxlength: number;
    maxSize: number;
    type: '' | 'default' | 'primary' | 'success' | 'info' | 'warning' | 'danger';
    mutipleItems: string[];
    disabled: boolean;
    selectValue: string;
    isTyping: boolean;
    private onChange;
    private onTouched;
    constructor(rebirthNGConfig: HiNGConfig);
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    newTag(): void;
    removeLabel(label: any): void;
    addLabel(label: any): void;
    canAddMore(): boolean;
    boxBlur(label: any): void;
}
