import { TemplateRef, EventEmitter } from '@angular/core';
import { Observable } from 'rxjs/Observable';
export declare class TreePanelComponent {
    treeData: any[];
    parentNode: any;
    valueField: any;
    textField: any;
    nodeCssClass: string;
    iconField: string;
    checkable: boolean;
    lazyLoad: boolean;
    loadingIcon: string;
    loadChildren: (parent: any) => Observable<any[]>;
    allowDraggable: boolean;
    allowMutipleSelected: boolean;
    nodeItemTemplate: TemplateRef<any>;
    nodeItemToolbarTemplate: TemplateRef<any>;
    leafIcon: any;
    expendIcon: any;
    collapseIcon: any;
    nodeItemCheckedChanged: EventEmitter<any>;
    onNodeItemCheckedChanged(node: any): void;
}
